local t = Def.ActorFrame{
	Def.ActorFrame{
		LoadActor("bannercover1")..{
			InitCommand=cmd(vertalign,bottom;x,SCREEN_CENTER_X-155;y,SCREEN_CENTER_Y-58;addy,-4;zoomtowidth,0;zoomtoheight,5;sleep,0.75;decelerate,0.3;zoomtowidth,264;decelerate,0.05;addy,4;zoomtoheight,200;diffusealpha,0.8;blend,'BlendMode_Add';zoomtoheight,40;);
		};

		LoadActor("bannercover1")..{
			InitCommand=cmd(vertalign,bottom;diffusealpha,0;x,SCREEN_CENTER_X-155;y,SCREEN_CENTER_Y-58;zoomtowidth,264;zoomtoheight,40;);
			OnCommand=cmd(stoptweening;blend,'BlendMode_Add';diffusealpha,0;sleep,1;linear,0.5;diffusealpha,1;linear,0.2;diffusealpha,0;);
			CurrentSongChangedMessageCommand=cmd(stoptweening;blend,'BlendMode_Add';diffusealpha,0;accelerate,0.1;diffusealpha,1;zoomtoheight,60;glow,color("0.5,0,0,1");decelerate,0.5;glow,color("0,0,0,0");diffusealpha,0;zoomtoheight,40;);
		};
		
		LoadActor("bannercover1")..{
			InitCommand=cmd(vertalign,top;x,SCREEN_CENTER_X-155;y,SCREEN_CENTER_Y-141;blend,'BlendMode_Add';);
			OnCommand=cmd(zoomtoheight,0;diffusealpha,0.4;sleep,0.75;decelerate,0.3;decelerate,0.05;zoomtoheight,40;diffusealpha,0.4;);
			CurrentSongChangedMessageCommand=cmd(stoptweening;decelerate,0.1;x,SCREEN_CENTER_X-155;zoomtowidth,264;);
		};

		LoadActor("bannerframe1")..{
			InitCommand=cmd(x,SCREEN_CENTER_X-283;y,SCREEN_CENTER_Y-109;);
			OnCommand=cmd(addx,131;zoomtoheight,30;sleep,0.4;decelerate,0.3;addx,-131;linear,0.1;zoomtoheight,122;glow,color("0,1,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("1,0,1,0"););
		};

		LoadActor("bannerframe2")..{
			InitCommand=cmd(x,SCREEN_CENTER_X-144;y,SCREEN_CENTER_Y-109;);
			OnCommand=cmd(zoomtoheight,30;sleep,0.4;decelerate,0.3;addx,131;linear,0.1;zoomtoheight,122;glow,color("0,1,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("1,0,1,0"););
		};
	};
};

return t;